servconnect-showroom-fullscreen-slider {
    position: fixed;
    left: 0;
    top: 0;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background: #000000;
    user-select: none;
    -webkit-user-select: none;
}


servconnect-showroom-fullscreen-slider > closebtn {
    position: absolute;
    right: 0;
    top: 0;
    padding: 16px;
    cursor: pointer;
}

servconnect-showroom-fullscreen-slider > closebtn > icon {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 18px;
    width: 28px;
    height: 28px;
    border-radius: 50%;
    padding: 0;
    margin: 0;
    color: var(--accent-color);
    background: rgba(50, 50, 50, .8);
    z-index: 2;
    pointer-events: none;
}


servconnect-showroom-fullscreen-slider > thumbs {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    display: block;
    overflow: hidden;
    padding: 25vh 0 8px;
    z-index: 1;
    background: linear-gradient(to top, rgba(0, 0, 0, 1) 100px, rgba(0, 0, 0, 0) 100%);
}

servconnect-showroom-fullscreen-slider > thumbs > contentwrap {
    position: relative;
    display: block;
    align-items: center;
    width: 100%;
    max-width: 1000px;
    margin: 0 auto;
    padding: 0 32px;
}

servconnect-showroom-fullscreen-slider > thumbs > contentwrap > controls {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding: 4px 0;
}

servconnect-showroom-fullscreen-slider > thumbs > contentwrap > controls > textwrap {
    position: relative;
    display: block;
}

servconnect-showroom-fullscreen-slider > thumbs > contentwrap > controls > textwrap > p {
    position: relative;
    display: block;
    color: #ffffff;
    margin: 0;
    padding: 0;
    font-size: 12px;
    font-weight: 600;
    white-space: nowrap;
    text-transform: uppercase;
}

servconnect-showroom-fullscreen-slider > thumbs > contentwrap > controls > buttons {
    position: relative;
    display: inline-flex;
    align-items: center;
}

servconnect-showroom-fullscreen-slider > thumbs > contentwrap > controls > buttons > icon {
    position: relative;
    display: block;
    font-size: 32px;
    color: #ffffff;
    cursor: pointer;
    padding: 4px;
}

servconnect-showroom-fullscreen-slider > thumbs > contentwrap > content {
    position: relative;
    display: flex;
    align-items: center;
    padding: 4px 0;
    width: 100%;
    transform: translate3d(0, 0, 0);
    transition: transform .25s cubic-bezier(0.455, 0.03, 0.515, 0.955);
}


servconnect-showroom-fullscreen-slider > thumbs > contentwrap > content > entry {
    position: relative;
    display: block;
    width: 128px;
    height: 90px;
    overflow: hidden;
    flex: 0 0 128px;
    background: rgb(20, 20, 20);
    border: 3px solid transparent;
    box-shadow: 0px 0px 12px rgba(0, 0, 0, .5);
    transform: translate3d(0, 0, 0) scale(.88);
    cursor: pointer;
    transition: transform .12s cubic-bezier(0.215, 0.610, 0.355, 1);
}

@media(max-width: 500px) {
    servconnect-showroom-fullscreen-slider > thumbs > contentwrap > content > entry {
        width: 115px;
        flex: 0 0 115px;
        height: 81px;
    }
}

@media(max-width: 400px) {
    servconnect-showroom-fullscreen-slider > thumbs > contentwrap > content > entry {
        width: 90px;
        flex: 0 0 90px;
        height: 67px;
    }
}


servconnect-showroom-fullscreen-slider > thumbs > contentwrap > content > entry.a {
    border-color: var(--accent-color);
    box-shadow: 0px 0px 8px var(--accent-color);
    transform: translate3d(0, 0, 0) scale(1);
}

@media(min-width: 1300px) {
    servconnect-showroom-fullscreen-slider > thumbs > contentwrap > content > entry:not(.a):hover {
        transform: translate3d(0, 0, 0) scale(.91);
    }
}

servconnect-showroom-fullscreen-slider > thumbs > contentwrap > content > entry::after {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    content: '';
    background: #000000;
    opacity: .5;
    transition: opacity .12s linear;
}

servconnect-showroom-fullscreen-slider > thumbs > contentwrap > content > entry:active::after {
    opacity: .55;
}

servconnect-showroom-fullscreen-slider > thumbs > contentwrap > content > entry.a::after {
    opacity: 0;
}


servconnect-showroom-fullscreen-slider > thumbs > contentwrap > content > entry > img {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    overflow: hidden;
    object-fit: cover;
    object-position: center center;
    margin: 0;
    padding: 0;
    pointer-events: none;
    user-select: none;
}


servconnect-showroom-fullscreen-slider > thumbs > contentwrap > content > entry:not(.a):active {
    transform: translate3d(0, 0, 0) scale(.86);
}


servconnect-showroom-fullscreen-slider > active-image {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    overflow: hidden;
    padding-bottom: 108px;
    z-index: 0;
    pointer-events: none;
}

servconnect-showroom-fullscreen-slider > active-image > content {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
}

servconnect-showroom-fullscreen-slider > active-image > content > entry {
    position: absolute;
    left: 0;
    top: 0;
    display: block;
    width: 100%;
    height: 100%;
    flex: 0 0 100%;
    opacity: 1;
    transform: translate3d(0, 0, 0);
    z-index: 0;
}

servconnect-showroom-fullscreen-slider > active-image > content > entry > content {
    position: relative;
    display: flex;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

servconnect-showroom-fullscreen-slider > active-image > content > entry > content > img {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center center;
}

@media(max-width: 900px) {
    servconnect-showroom-fullscreen-slider > active-image > content > entry > content > img {
        object-fit: contain;
        object-position: center center;
    }
}


@media(max-height: 500px) and (orientation:landscape) {
    servconnect-showroom-fullscreen-slider > thumbs {
        background: linear-gradient(to top, rgba(0, 0, 0, 1) 0, rgba(0, 0, 0, 0) 50%);
    }

    servconnect-showroom-fullscreen-slider > thumbs > contentwrap > content {
        display: none;
    }

    servconnect-showroom-fullscreen-slider > active-image {
        padding-bottom: 0px;
    }
}